Upgrading arduino ide too 1.8.5

Discussion in 'Linux Ubuntu' started by Exinferis, May 9, 2018.

  1. Exinferis

    Exinferis UDOOer

    Joined:
    Apr 1, 2016
    Messages:
    14
    Likes Received:
    4
    So i needed to upgrade my IDE for newest version of firmware on my 3d printer. And a lot of problems started. And i dont really know linux well enough to fix it :)

    An error occurred while uploading the sketch
    /home/udooer/.arduino15/packages/arduino/tools/bossac/1.6.1-arduino/bossac: /usr/lib/arm-linux-gnueabihf/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /home/udooer/.arduino15/packages/arduino/tools/bossac/1.6.1-arduino/bossac)

    This might be very easy, might be i need to reinstall udoobuntu and stay at the old firmware. I hope this isnt the case.
     
  2. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,237
    Likes Received:
    561
    On what Udoo are you on, a Dual/Quad?

    Perhaps you have to delete the /home/udooer/.arduino15 directory first and then install the latest Arduino IDE and Udoo board package.
     
  3. Exinferis

    Exinferis UDOOer

    Joined:
    Apr 1, 2016
    Messages:
    14
    Likes Received:
    4
    Im on a udoo Quad, i will try.

    I do have both 1.6.5 and 1.8.5 currently installed, there might be some fault cause of that.

    But im also having alot of problems trying to update my udoobuntu. When i try to use the software updater i just get a error about my internet connection, any idea what thats all about? :eek:
     
  4. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,237
    Likes Received:
    561
    I do not think it is wise to have both version of Arduino IDE installed.

    For connection errors please check if the time and date on your Udoo is correct. Udoo sets default an old time and then Ubuntu repositories are refusing connection.
     
  5. Exinferis

    Exinferis UDOOer

    Joined:
    Apr 1, 2016
    Messages:
    14
    Likes Received:
    4
    tried using armbian, but it cant find the arduino due on the port

    i think ill just use udoobuntu 2.2 and leave the newest firmware for the time being :p
     
  6. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,237
    Likes Received:
    561
    Seems that Udoo repository is having an issue, looking at the other threads today about errors during updates.
     

Share This Page